"use strict";

App({
    globalData: {
        select: [],
        oriList: [],
        menulist: [],
        voice: [],
        generate: []
    },
    onLaunch: function () {
        let _this = this;
        wx.showLoading()
        wx.request({
            url: "https://main-bucket.bj.bcebos.com/miniprog-avres/aiclip_avres.json?" + new Date(),
            headers: {
                'Content-Type': 'application/json'
            },
            success: function (res) {
                _this.globalData.oriList = res.data.data.map(v => {
                    v.music = v.music.map(m => {
                        return {
                            Url: m.audio,
                            Name: m.audio_name,
                            bo: m.wave_img,
                            albumImageUrl: m.wave_img
                        }
                    })
                    v.clips = v.clips.map(c => {
                        return {
                            video: c.video,
                            thumbUrl: c.snaps[0],
                            duration: c.duration,
                            snaps: c.snaps,
                        }
                    })
                    return v
                });
                wx.hideLoading();
            }
        });
    },
});